Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic
Class ProblemStatistic

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.ProblemStatistic

Direct Known Subclasses:
  BestScoreProblemStatistic, BestSolutionMutationProblemStatistic, CalculateCountProblemStatistic, MemoryUseProblemStatistic, MoveCountPerStepProblemStatistic, StepScoreProblemStatistic

    public abstract class ProblemStatistic

extends Object

1 statistic of `ProblemBenchmarkResult`

Field Summary
`protected ProblemBenchmarkResult` | `problemBenchmarkResult`
`protected ProblemStatisticType` | `problemStatisticType`
`protected List<String>` | `warningList`

Constructor Summary
`protected` | `ProblemStatistic(ProblemBenchmarkResult problemBenchmarkResult, ProblemStatisticType problemStatisticType)`

Method Summary
`void` | `accumulateResults(BenchmarkReport benchmarkReport)`
`abstract SingleStatistic` | `createSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)`
`protected void` | `fillWarningList()`
`String` | `getAnchorId()`
`ProblemBenchmarkResult` | `getProblemBenchmarkResult()`
`ProblemStatisticType` | `getProblemStatisticType()`
`List<SingleStatistic>` | `getSingleStatisticList()`
`List<String>` | `getWarningList()`
`void` | `setProblemBenchmarkResult(ProblemBenchmarkResult problemBenchmarkResult)`
`protected File` | `writeChartToImageFile(org.jfree.chart.JFreeChart chart, String fileNameBase)`
`abstract void` | `writeGraphFiles(BenchmarkReport benchmarkReport)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### problemBenchmarkResult

    protected ProblemBenchmarkResult problemBenchmarkResult

### problemStatisticType

    protected final ProblemStatisticType problemStatisticType

### warningList

    protected List<String> warningList

Constructor Detail

### ProblemStatistic

    protected ProblemStatistic(ProblemBenchmarkResult problemBenchmarkResult,
                               ProblemStatisticType problemStatisticType)

Method Detail

### getProblemBenchmarkResult

    public ProblemBenchmarkResult getProblemBenchmarkResult()

### setProblemBenchmarkResult

    public void setProblemBenchmarkResult(ProblemBenchmarkResult problemBenchmarkResult)

### getProblemStatisticType

    public ProblemStatisticType getProblemStatisticType()

### getAnchorId

    public String getAnchorId()

### getWarningList

    public List<String> getWarningList()

### getSingleStatisticList

    public List<SingleStatistic> getSingleStatisticList()

### createSingleStatistic

    public abstract SingleStatistic createSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)

### accumulateResults

    public void accumulateResults(BenchmarkReport benchmarkReport)

### writeGraphFiles

    public abstract void writeGraphFiles(BenchmarkReport benchmarkReport)

### fillWarningList

    protected void fillWarningList()

### writeChartToImageFile

    protected File writeChartToImageFile(org.jfree.chart.JFreeChart chart,
                                         String fileNameBase)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.